osg::RenderInfo Class Reference

`#include <RenderInfo>`

Inheritance diagram for osg::RenderInfo:

## Public Types

typedef std::vector< Camera * > | CameraStack
typedef std::vector< osgUtil::RenderBin * > | RenderBinStack

## Public Member Functions

| RenderInfo ()
| RenderInfo (const RenderInfo &rhs)
| RenderInfo (State *state, View *view)
RenderInfo & | operator= (const RenderInfo &rhs)
unsigned int | getContextID () const
void | setState (State *state)
State * | getState ()
const State * | getState () const
void | setView (View *view)
View * | getView ()
const View * | getView () const
void | pushCamera (Camera *camera)
void | popCamera ()
CameraStack & | getCameraStack ()
Camera * | getCurrentCamera ()
void | pushRenderBin (osgUtil::RenderBin *bin)
void | popRenderBin ()
RenderBinStack & | getRenderBinStack ()
void | setUserData (Referenced *userData)
Referenced * | getUserData ()
const Referenced * | getUserData () const

## Protected Attributes

ref_ptr< State > | _state
View * | _view
CameraStack | _cameraStack
RenderBinStack | _renderBinStack
ref_ptr< Referenced > | _userData

## Member Typedef Documentation

## CameraStack

typedef std::vector<Camera*> osg::RenderInfo::CameraStack

## RenderBinStack

typedef std::vector<osgUtil::RenderBin*> osg::RenderInfo::RenderBinStack

## Constructor & Destructor Documentation

## RenderInfo() [1/3]

osg::RenderInfo::RenderInfo | ( |  | ) |

inline

References _view.

Referenced by operator=(), and RenderInfo().

## RenderInfo() [2/3]

osg::RenderInfo::RenderInfo | ( | const RenderInfo & | rhs | ) |

inline

References _cameraStack, _renderBinStack, _state, _userData, _view, and RenderInfo().

## RenderInfo() [3/3]

osg::RenderInfo::RenderInfo | ( | State * | state,
|  | View * | view )

inline

References _state, and _view.

## Member Function Documentation

## getCameraStack()

CameraStack & osg::RenderInfo::getCameraStack | ( |  | ) |

inline

References _cameraStack.

## getContextID()

unsigned int osg::RenderInfo::getContextID | ( |  | ) | const

inline

References _state.

Referenced by osg::Drawable::draw().

## getCurrentCamera()

Camera * osg::RenderInfo::getCurrentCamera | ( |  | ) |

inline

References _cameraStack.

## getRenderBinStack()

RenderBinStack & osg::RenderInfo::getRenderBinStack | ( |  | ) |

inline

References _renderBinStack.

## getState() [1/2]

State * osg::RenderInfo::getState | ( |  | ) |

inline

References _state.

Referenced by osg::Drawable::draw().

## getState() [2/2]

const State * osg::RenderInfo::getState | ( |  | ) | const

inline

References _state.

## getUserData() [1/2]

Referenced * osg::RenderInfo::getUserData | ( |  | ) |

inline

References _userData.

## getUserData() [2/2]

const Referenced * osg::RenderInfo::getUserData | ( |  | ) | const

inline

References _userData.

## getView() [1/2]

View * osg::RenderInfo::getView | ( |  | ) |

inline

References _view.

## getView() [2/2]

const View * osg::RenderInfo::getView | ( |  | ) | const

inline

References _view.

## operator=()

RenderInfo & osg::RenderInfo::operator= | ( | const RenderInfo & | rhs | ) |

inline

References _cameraStack, _renderBinStack, _state, _userData, _view, and RenderInfo().

## popCamera()

void osg::RenderInfo::popCamera | ( |  | ) |

inline

References _cameraStack.

## popRenderBin()

void osg::RenderInfo::popRenderBin | ( |  | ) |

inline

References _renderBinStack.

## pushCamera()

void osg::RenderInfo::pushCamera | ( | Camera * | camera | ) |

inline

References _cameraStack.

## pushRenderBin()

void osg::RenderInfo::pushRenderBin | ( | osgUtil::RenderBin * | bin | ) |

inline

References _renderBinStack.

## setState()

void osg::RenderInfo::setState | ( | State * | state | ) |

inline

References _state.

## setUserData()

void osg::RenderInfo::setUserData | ( | Referenced * | userData | ) |

inline

References _userData.

## setView()

void osg::RenderInfo::setView | ( | View * | view | ) |

inline

References _view.

## Member Data Documentation

## _cameraStack

CameraStack osg::RenderInfo::_cameraStack

protected

Referenced by getCameraStack(), getCurrentCamera(), operator=(), popCamera(), pushCamera(), and RenderInfo().

## _renderBinStack

RenderBinStack osg::RenderInfo::_renderBinStack

protected

Referenced by getRenderBinStack(), operator=(), popRenderBin(), pushRenderBin(), and RenderInfo().

## _state

ref_ptr<State> osg::RenderInfo::_state

protected

Referenced by getContextID(), getState(), getState(), operator=(), RenderInfo(), RenderInfo(), and setState().

## _userData

ref_ptr<Referenced> osg::RenderInfo::_userData

protected

Referenced by getUserData(), getUserData(), operator=(), RenderInfo(), and setUserData().

## _view

View* osg::RenderInfo::_view

protected

Referenced by getView(), getView(), operator=(), RenderInfo(), RenderInfo(), RenderInfo(), and setView().

The documentation for this class was generated from the following file:

- RenderInfo